#include <iocslib.h>
#include "defines.h"

void print_message(const unchar *message,int x,int y,int wx,int mode)
/* mode : 0=左よせ , 1=センター , 2=右よせ */
{
unint wwx;
unchar mes[DISPX*2+1];
	if (message[0]!=0) { /* メッセージがある時のみ */
		if (klen2(message)>wx-2) {
			jnstrcpy(mes,message,wx-2); /* 枠の両端の分を除く */
			message=mes;
		}
		switch (mode) {
			default:
   			case 0: /* left */
   				wwx=1;
				break;
			case 1: /* center */
				wwx=(wx-klen2(message))/2;
   				break;
   			case 2: /* right */
   				wwx=wx-1-klen2(message);
   				break;
   		}
		B_LOCATE(x+wwx,y);
		EX_PRINT2(8,message);
	}
}
